org.keycloak.broker.saml

## Class SAMLEndpoint

- java.lang.Object
- - org.keycloak.broker.saml.SAMLEndpoint

-     public class SAMLEndpoint
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `SAMLEndpoint.Binding`
    `protected class` | `SAMLEndpoint.PostBinding`
    `protected class` | `SAMLEndpoint.RedirectBinding`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IdentityProvider.AuthenticationCallback` | `callback`
    `protected SAMLIdentityProviderConfig` | `config`
    `protected EventBuilder` | `event`
    `protected static org.jboss.logging.Logger` | `logger`
    `protected SAMLIdentityProvider` | `provider`
    `protected RealmModel` | `realm`
    `static String` | `SAML_ASSERTION`
    `static String` | `SAML_AUTHN_STATEMENT`
    `static String` | `SAML_FEDERATED_SESSION_INDEX`
    `static String` | `SAML_FEDERATED_SUBJECT` Deprecated.
    `static String` | `SAML_FEDERATED_SUBJECT_NAMEFORMAT` Deprecated.
    `static String` | `SAML_FEDERATED_SUBJECT_NAMEID`
    `static String` | `SAML_IDP_INITIATED_CLIENT_ID`
    `static String` | `SAML_LOGIN_RESPONSE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLEndpoint(RealmModel realm, SAMLIdentityProvider provider, SAMLIdentityProviderConfig config, IdentityProvider.AuthenticationCallback callback, DestinationValidator destinationValidator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `getSPDescriptor()`
    `javax.ws.rs.core.Response` | `postBinding(String samlRequest, String samlResponse, String relayState)`
    `javax.ws.rs.core.Response` | `postBinding(String samlRequest, String samlResponse, String relayState, String clientId)`
    `javax.ws.rs.core.Response` | `redirectBinding(String samlRequest, String samlResponse, String relayState)`
    `javax.ws.rs.core.Response` | `redirectBinding(String samlRequest, String samlResponse, String relayState, String clientId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### SAML_FEDERATED_SESSION_INDEX

          public static final String SAML_FEDERATED_SESSION_INDEX

      See Also:
        Constant Field Values

    - #### SAML_FEDERATED_SUBJECT

          @Deprecated
          public static final String SAML_FEDERATED_SUBJECT

      Deprecated.
      See Also:
        Constant Field Values

    - #### SAML_FEDERATED_SUBJECT_NAMEFORMAT

          @Deprecated
          public static final String SAML_FEDERATED_SUBJECT_NAMEFORMAT

      Deprecated.
      See Also:
        Constant Field Values

    - #### SAML_FEDERATED_SUBJECT_NAMEID

          public static final String SAML_FEDERATED_SUBJECT_NAMEID

      See Also:
        Constant Field Values

    - #### SAML_LOGIN_RESPONSE

          public static final String SAML_LOGIN_RESPONSE

      See Also:
        Constant Field Values

    - #### SAML_ASSERTION

          public static final String SAML_ASSERTION

      See Also:
        Constant Field Values

    - #### SAML_IDP_INITIATED_CLIENT_ID

          public static final String SAML_IDP_INITIATED_CLIENT_ID

      See Also:
        Constant Field Values

    - #### SAML_AUTHN_STATEMENT

          public static final String SAML_AUTHN_STATEMENT

      See Also:
        Constant Field Values

    - #### realm

          protected RealmModel realm

    - #### event

          protected EventBuilder event

    - #### config

          protected SAMLIdentityProviderConfig config

    - #### callback

          protected IdentityProvider.AuthenticationCallback callback

    - #### provider

          protected SAMLIdentityProvider provider

  - ### Constructor Detail

    - #### SAMLEndpoint

          public SAMLEndpoint(RealmModel realm,
                              SAMLIdentityProvider provider,
                              SAMLIdentityProviderConfig config,
                              IdentityProvider.AuthenticationCallback callback,
                              DestinationValidator destinationValidator)

  - ### Method Detail

    - #### getSPDescriptor

          @GET
           @Path(value="descriptor")
          public javax.ws.rs.core.Response getSPDescriptor()

    - #### redirectBinding

          @GET
          public javax.ws.rs.core.Response redirectBinding(@QueryParam(value="SAMLRequest")
                                                                String samlRequest,
                                                                @QueryParam(value="SAMLResponse")
                                                                String samlResponse,
                                                                @QueryParam(value="RelayState")
                                                                String relayState)

    - #### postBinding

          @POST
           @Consumes(value="application/x-www-form-urlencoded")
          public javax.ws.rs.core.Response postBinding(@FormParam(value="SAMLRequest")
                                                                                                                   String samlRequest,
                                                                                                                   @FormParam(value="SAMLResponse")
                                                                                                                   String samlResponse,
                                                                                                                   @FormParam(value="RelayState")
                                                                                                                   String relayState)

    - #### redirectBinding

          @Path(value="clients/{client_id}")
           @GET
          public javax.ws.rs.core.Response redirectBinding(@QueryParam(value="SAMLRequest")
                                                                                                    String samlRequest,
                                                                                                    @QueryParam(value="SAMLResponse")
                                                                                                    String samlResponse,
                                                                                                    @QueryParam(value="RelayState")
                                                                                                    String relayState,
                                                                                                    @PathParam(value="client_id")
                                                                                                    String clientId)

    - #### postBinding

          @Path(value="clients/{client_id}")
           @POST
           @Consumes(value="application/x-www-form-urlencoded")
          public javax.ws.rs.core.Response postBinding(@FormParam(value="SAMLRequest")
                                                                                                                                                       String samlRequest,
                                                                                                                                                       @FormParam(value="SAMLResponse")
                                                                                                                                                       String samlResponse,
                                                                                                                                                       @FormParam(value="RelayState")
                                                                                                                                                       String relayState,
                                                                                                                                                       @PathParam(value="client_id")
                                                                                                                                                       String clientId)

Copyright © 2021 JBoss by Red Hat. All rights reserved.